Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.proxy
Class ProxyCodec

    java.lang.Object
      things.thinger.service.proxy.ProxyCodec

    public class ProxyCodec

extends java.lang.Object

Author:
  erich

Field Summary
`static char` | `POST_ESCAPE_CHARACTER`
`static char` | `POST_TOKEN_SEPARATOR`

Constructor Summary
`ProxyCodec()`

Method Summary
`static java.lang.String` | `encodeString(java.lang.String in)` Encode a string.
`static void` | `encodeString(java.lang.String in, java.io.Writer out)` Encode a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POST_TOKEN_SEPARATOR

    public static final char POST_TOKEN_SEPARATOR

See Also:
  Constant Field Values

### POST_ESCAPE_CHARACTER

    public static final char POST_ESCAPE_CHARACTER

See Also:
  Constant Field Values

Constructor Detail

### ProxyCodec

    public ProxyCodec()

Method Detail

### encodeString

    public static void encodeString(java.lang.String in,
                                    java.io.Writer out)
                             throws java.lang.Exception

  Encode a string. Null strings will write nothing.

  Parameters:
    `in` - The string to encode.
    `out` - The target writer.
  Throws:
    `java.lang.Exception` - Bad strings will cause exceptions.

### encodeString

    public static java.lang.String encodeString(java.lang.String in)
                                         throws java.lang.Exception

  Encode a string. Null strings will write nothing.

  Parameters:
    `in` - The string to encode.
  Throws:
    `java.lang.Exception` - Bad strings will cause exceptions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.